Package weka.gui

# Class ExtensionFileFilterWithClass

java.lang.Object
javax.swing.filechooser.FileFilter
weka.gui.ExtensionFileFilter
weka.gui.ExtensionFileFilterWithClass

All Implemented Interfaces:
  `FilenameFilter`, `Serializable`

public class ExtensionFileFilterWithClass extends ExtensionFileFilter
File filter that stores an associated class alongside name and extension(s).

Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionFileFilterWithClass(String[] extensions, String description, Class filterClass)`
  Creates an ExtensionFileFilterWithClass that accepts files that have any of the extensions contained in the supplied array.
  `ExtensionFileFilterWithClass(String extension, String description, Class filterClass)`
  Creates the ExtensionFileFilterWithClass

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `getFilterClass()`
  Returns the underlying class.
  `Object`
  `newInstance()`
  Creates a new instance of the underlying class.

  ### Methods inherited from class weka.gui.ExtensionFileFilter

  `accept, accept, getDescription, getExtensions`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtensionFileFilterWithClass

    public ExtensionFileFilterWithClass(String extension, String description, Class filterClass)
    Creates the ExtensionFileFilterWithClass
    Parameters:
      `extension` - the extension of accepted files.
      `description` - a text description of accepted files.
      `filterClass` - the underlying class

  - ### ExtensionFileFilterWithClass

    public ExtensionFileFilterWithClass(String[] extensions, String description, Class filterClass)
    Creates an ExtensionFileFilterWithClass that accepts files that have any of the extensions contained in the supplied array.
    Parameters:
      `extensions` - an array of acceptable file extensions (as Strings).
      `description` - a text description of accepted files.
      `filterClass` - the underlying class

- ## Method Details

  - ### getFilterClass

    public Class getFilterClass()
    Returns the underlying class.
    Returns:
      the class

  - ### newInstance

    public Object newInstance()
    Creates a new instance of the underlying class.
    Returns:
      the object